<?php

/*

 $Id: show_zones.inc,v 1.10.2.1 2004/01/16 00:20:31 vollmerk Exp $
 $Source: /data/cvsroot/maintain/templates/show_zones.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*

	Admin Tool, Show all zones
*/
?>
<p><font class="header2">Viewing All Zones</font></p>

<?
//border
show_template('tborder'); 
// total_items has to be passed in to determine how many page tabs to make
$conf['ui']->show_list_header($total_items);



?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr align="center" bgcolor="<?= $conf['color']->bg['body_dark']; ?>">
    		<td><a href = "<?= $conf['script']; ?>?action=<?= $conf['action']; ?>&sort_type=name">Zone Name</a></td>
		<td title="<? $conf['help']->title('host'); ?>">Hosts</td>
		<td title="<? $conf['help']->title('domain'); ?>">Domains</td>
		<td title="<? $conf['help']->title('cname'); ?>">CNAMES</td>
		<td title="<? $conf['help']->title('mxrecord'); ?>">MX Records</td>
                <td>Action</td>
	</tr>

<?

foreach ($zones as $zone) {

	if ( $bgcolor == $conf['light_bgcolor'] ) {
		$bgcolor = $conf['dark_bgcolor'];
	}
	else {
		$bgcolor = $conf['light_bgcolor'];
	}
?>

	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="center">
		<td><? $conf['ui']->display_field($zone->name); ?></td>
		<td><? $conf['ui']->display_field(commify(count_host($zone->id))); ?></td>
		<td><? $conf['ui']->display_field(commify(count_domain($zone->id))); ?></td>
		<td><? $conf['ui']->display_field(commify(count_cname($zone->id))); ?></td>
		<td><? $conf['ui']->display_field(commify(count_mx($zone->id))); ?></td>
		<td>
			<? if ($user->has_access($zone->id) ) { ?>
			<a href="<?= $conf['web_path']; ?>/zone.php?action=edit&zone_id=<?= $zone->id ?>">Edit</a> |&nbsp;
			<a href="<?= $conf['web_path']; ?>/zone.php?action=confirm_delete_zone&zone_id=<?= $zone->id ?>"> Delete</a> |
			<a href="<?= $conf['web_path']; ?>/zone.php?action=show_merge_zone&zone_id=<?= $zone->id; ?>"> Merge</a>
			<? } else { ?><a href="<?= $conf['web_path']; ?>/zone.php?action=show_zone&action_type=read&id=<?= $zone->id ?>">View</a>
			<? } ?>				
		</td>
	</tr>
<?
}
?>
</table>

<?
$conf['ui']->show_list_header($total_items);
show_template('bborder');
?>

