<?php

/*

 $Id: abuse_create.inc,v 1.4 2003/06/27 23:18:41 vollmerk Exp $
 $Source: /data/cvsroot/maintain/templates/abuse_create.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


/*!
	@function abuse_create template
	Display the form for generating/sending a abuse report.
*/

if (!$info) { $info = $conf['modules']->get_info("abuse"); }

if ($flo_id) { $flo = new Flo($flo_id); $address = $flo->host->ip->ip_addr; }
$abuse = new Abuse(); 
if ($host_id) { $host = new Host($host_id); }
if ($host_id) { $abuse->get_owner($host_id); }
if (!$host_id) { 
	$ipclass = new Ip(0);
	$address = $ipclass->int2ip($ip);
	$abuse->to = ""; 
	}
	
 ?>
<form name="abuse" method="post" enctype="multipart/form-data" style="Display:inline" action="<?= $conf['web_path']; ?>/modules/abuse.php">
<? show_template('tborder'); ?>

<table border="0" cellpadding="2" cellspacing="0" width="100%">
<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>Date:</td>
	<td><?= date("F j, Y", $flo->date); ?></td>
</tr>
<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>To:</td>
	<td>
	<input type="textbox" name="to" size="<?= strlen($abuse->to); ?>" value="<?= $abuse->to; ?>" />
	</td>
</tr>
<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>Cc:</td>
	<td>
	<input type="textbox" name="cc" size="<?= strlen($info['cc']); ?>" value="<?= $info['cc']; ?>" />
	</td>
</tr>
<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>Subject:</td>
	<td>
	<input type="textbox" name="subject" size="<?= strlen($info['subject'])+25; ?>" value="<?= $info['subject'] . " -- " . $address . " (" . $host->hostname . ") "; ?>" />
	</td>
</tr>

<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td valign="top">Body:</td>
	<td>
	<textarea name="body" cols="80" rows="30">
	<?= $abuse->generate_report($flo,$host_id); ?>
	</textarea>
	</td>
</tr>
<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>&nbsp;</td>
	<td>
	<input type="hidden" name="action" value="send_report" />
	<input type="submit" value="Send Report" />
	</td>
</tr>
</table>
<? show_template('bborder'); ?>
</form>
